# Uses of Interface
jdk.incubator.foreign.SymbolLookup

Packages that use SymbolLookup
Package
Description
jdk.incubator.foreign
Classes to support low-level and efficient foreign memory/function access, directly from Java.

## Uses of SymbolLookup in jdk.incubator.foreign

Methods in jdk.incubator.foreign that return SymbolLookup
Modifier and Type
Method
Description
`static SymbolLookup`
SymbolLookup.`loaderLookup()`
Obtains a symbol lookup suitable to find symbols in native libraries associated with the caller's classloader (that is, libraries loaded using `System.loadLibrary(java.lang.String)` or `System.load(java.lang.String)`).
`static SymbolLookup`
CLinker.`systemLookup()`
Obtains a system lookup which is suitable to find symbols in the standard C libraries.